# 激活设备

设备与机构进行绑定

## 修改记录


## 接口定义

    /v1/vision_terminal_active
    POST

## Request

API请求参数

### Head

X-ChannelId     {String}    渠道ID

### Form Parameters

 activeAccount          {String}    RSA加密
 activeCode             {String}    RSA加密
 deviceSn               {String}
 location               {String}

## Response

testType : ，1:学校模式、2:商城模式、3:海航模式 4:趋光模式

qrCodeCallbackUrl: 测试结果扫码后调用地址，如果为空就用默认的

### Example


**Command**

    curl -X POST \
       -H "X-DeviceInformation: ooadmin/v1.1/5ebfdbca1a5d4dbd4a6cc8e835276779" \
       -H "X-ChannelId: YS_P03_KARAMAY" \
       -H "X-Sign: siX++d9tc3qrGgI9HKfscXGpabC9M/Wa8xEQU/rjWnMaxKCG/kCQBNlnaXrP8/0mt2XnlGMs/p/KX2jo3yVpQijFaupMtWeGuN2YtRVQWRa3tG53npMUttU5SjQWGa4UAOdxV7V8FLvm0DvO47zxC4puCcbGTbljH0q7BkADYGc=" \
       -d "activeAccount=qrc240pDUO69WsN23x%2flcps1M%2fydVX9pjbhOXVzuX9pqp5LMG8llkMhRWhC4M3kAOqH0EXX2w4bcHA0VpvnIEEKvevThh6A1QJq4rN46WU88yX3TXD7%2bKEJMnomWaQlMKmNW%2fm0RFd7PGZoN%2bribYrCgCEUR6WNpDRyaxsKfXEY%3d&activeCode=qrc240pDUO69WsN23x%2flcps1M%2fydVX9pjbhOXVzuX9pqp5LMG8llkMhRWhC4M3kAOqH0EXX2w4bcHA0VpvnIEEKvevThh6A1QJq4rN46WU88yX3TXD7%2bKEJMnomWaQlMKmNW%2fm0RFd7PGZoN%2bribYrCgCEUR6WNpDRyaxsKfXEY%3d" \
       http://localhost:8080/v1/vision_terminal_active

**Output**

    {
      "data": {
        "equipmentId": "11111",
        "activationTime": 1560426091,
        "schoolId": "12222",
        "testType": 1,
        "orgName": "北京市昌平实验小学",
        "contacts": "jack",
        "address": "",
        "phone": "18910265201",
        "printQrCodeStatus": 1,
        "qrCodeCallbackUrl":"http://www.hahahaah.com",
        "note1": "",
        "note2": ""
      },
      "errno": 200,
      "msg": "success"
    }