# 获取学生视力档案

## 修改记录


## 接口定义

    /partner/get_student_archive
    GET

## Request

API请求参数

### Head

        X-LoginType          {String}       partner
        X-AppKey             {String}      appKey
        X-Sign               {String}       aes(appKey+'_'+时间戳) 加密，密码是 appSecret，时间戳有效期是2个小时

### Form Parameters

 studentNumber           {string}    学生档案号

## Response


### Example


**Command**

    curl -X GET \
        -H "X-LoginType: partner" \
        -H "X-Sign: tna8CtdlphD7RcgwXYHWsQ==" \
          https://t.api.test.iouou.cn/partner/get_student_archive?studentNumber=1122222222

**Output**

    {
        "errno": 200,
        "msg": "success",
        "data": {
            "vision":[
                   {
                        "leftEye":5.0,
                        "rightEye":5.1,
                        "level":"好视力",
                        "testTime":1566357456,
                   }
               ],
             "takeGlassesVision":[
                   {
                        "leftEye":5.0,
                        "rightEye":5.1,
                        "testTime":1566357456,
                   }
               ],
             "heightWeight":[
                 {
                    "height":172,
                    "weight":70,
                    "bmi":24,
                    "level":"超重",
                    "testTime":1566357456,
                 }
             ],
        }
    }