# 获取班级档案信息

## 修改记录


## 接口定义

    /partner/get_class_archive
    GET

## Request

API请求参数

### Head

        X-LoginType          {String}       partner
        X-AppKey             {String}      appKey
        X-Sign               {String}       aes(appKey+'_'+时间戳) 加密，密码是 appSecret

### Form Parameters

    phone   {String}    班级老师电话

## Response


### Example


**Command**

    curl -X GET \
        -H "X-LoginType: partner" \
        -H "X-Sign: tna8CtdlphD7RcgwXYHWsQ==" \
          https://t.api.test.iouou.cn/partner/get_class_archive?classID=2017444444

**Output**

    {
        "errno": 200,
        "msg": "success",
        "data": [
            {
                studentNumber:"11112222",
                "studentName":"小明",
                "vision":{
                            "leftEye":5.0,
                            "rightEye":5.1,
                            "level":"好视力",
                            "testTime":1566357456,
                },
                "heightWeidht":{
                        "height":172,
                        "weight":70,
                        “bmi":24,
                        "level":"超重",
                        "testTime":1566357456,
                },
            },
            {
                studentNumber:"12333332",
                "studentName":"小亮",
                "vision":{
                            "leftEye":5.0,
                            "rightEye":5.1,
                            "level":"好视力",
                            "testTime":1566357456,
                },
                "heightWeidht":{
                        "height":172,
                        "weight":70,
                        “bmi":24,
                        "level":"超重",
                        "testTime":1566357456,
                },
            }
        ],
            
    }